package com.yihu.wlyy.entity.education;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 健康资讯
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_health_news")
public class HealthNews extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -401494521490022582L;

	// 资讯图片
	private String photo;
	// 标题
	private String title;
	// 概述
	private String summary;
	// 查看URL
	private String url;
	// 添加时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}
}
